Help us shape the future of Go! Take the 2026 Go Developer Survey

repositories

package
v0.7.2 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Jun 1, 2018 License: Apache-2.0 Imports: 6 Imported by: 0

Documentation

Index

Constants

This section is empty.

Variables

This section is empty.

Functions

This section is empty.

Types

type CreateRepo added in v0.4.0

type CreateRepo struct {
	Context *middleware.Context
	Handler CreateRepoHandler
}

CreateRepo swagger:route POST /v1/repos repositories createRepo

add a repository to be indexed

func NewCreateRepo added in v0.4.0

func NewCreateRepo(ctx *middleware.Context, handler CreateRepoHandler) *CreateRepo

NewCreateRepo creates a new http.Handler for the create repo operation

func (*CreateRepo) ServeHTTP added in v0.4.0

func (o *CreateRepo) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type CreateRepoCreated added in v0.4.0

type CreateRepoCreated struct {

	// In: body
	Payload *models.ResourceData `json:"body,omitempty"`
}

CreateRepoCreated Repository added

swagger:response createRepoCreated

func NewCreateRepoCreated added in v0.4.0

func NewCreateRepoCreated() *CreateRepoCreated

NewCreateRepoCreated creates CreateRepoCreated with default headers values

func (*CreateRepoCreated) SetPayload added in v0.4.0

func (o *CreateRepoCreated) SetPayload(payload *models.ResourceData)

SetPayload sets the payload to the create repo created response

func (*CreateRepoCreated) WithPayload added in v0.4.0

func (o *CreateRepoCreated) WithPayload(payload *models.ResourceData) *CreateRepoCreated

WithPayload adds the payload to the create repo created response

func (*CreateRepoCreated) WriteResponse added in v0.4.0

func (o *CreateRepoCreated) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type CreateRepoDefault added in v0.4.0

type CreateRepoDefault struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

CreateRepoDefault unexpected error

swagger:response createRepoDefault

func NewCreateRepoDefault added in v0.4.0

func NewCreateRepoDefault(code int) *CreateRepoDefault

NewCreateRepoDefault creates CreateRepoDefault with default headers values

func (*CreateRepoDefault) SetPayload added in v0.4.0

func (o *CreateRepoDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the create repo default response

func (*CreateRepoDefault) SetStatusCode added in v0.4.0

func (o *CreateRepoDefault) SetStatusCode(code int)

SetStatusCode sets the status to the create repo default response

func (*CreateRepoDefault) WithPayload added in v0.4.0

func (o *CreateRepoDefault) WithPayload(payload *models.Error) *CreateRepoDefault

WithPayload adds the payload to the create repo default response

func (*CreateRepoDefault) WithStatusCode added in v0.4.0

func (o *CreateRepoDefault) WithStatusCode(code int) *CreateRepoDefault

WithStatusCode adds the status to the create repo default response

func (*CreateRepoDefault) WriteResponse added in v0.4.0

func (o *CreateRepoDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type CreateRepoHandler added in v0.4.0

type CreateRepoHandler interface {
	Handle(CreateRepoParams) middleware.Responder
}

CreateRepoHandler interface for that can handle valid create repo params

type CreateRepoHandlerFunc added in v0.4.0

type CreateRepoHandlerFunc func(CreateRepoParams) middleware.Responder

CreateRepoHandlerFunc turns a function with the right signature into a create repo handler

func (CreateRepoHandlerFunc) Handle added in v0.4.0

Handle executing the request and returning a response

type CreateRepoParams added in v0.4.0

type CreateRepoParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*Repository information
	  In: body
	*/
	Data *models.Repo
}

CreateRepoParams contains all the bound params for the create repo operation typically these are obtained from a http.Request

swagger:parameters createRepo

func NewCreateRepoParams added in v0.4.0

func NewCreateRepoParams() CreateRepoParams

NewCreateRepoParams creates a new CreateRepoParams object with the default values initialized.

func (*CreateRepoParams) BindRequest added in v0.4.0

func (o *CreateRepoParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type DeleteRepo added in v0.4.0

type DeleteRepo struct {
	Context *middleware.Context
	Handler DeleteRepoHandler
}

DeleteRepo swagger:route DELETE /v1/repos/{repoName} repositories deleteRepo

delete a repository enabled in the backend

func NewDeleteRepo added in v0.4.0

func NewDeleteRepo(ctx *middleware.Context, handler DeleteRepoHandler) *DeleteRepo

NewDeleteRepo creates a new http.Handler for the delete repo operation

func (*DeleteRepo) ServeHTTP added in v0.4.0

func (o *DeleteRepo) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type DeleteRepoDefault added in v0.4.0

type DeleteRepoDefault struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

DeleteRepoDefault unexpected error

swagger:response deleteRepoDefault

func NewDeleteRepoDefault added in v0.4.0

func NewDeleteRepoDefault(code int) *DeleteRepoDefault

NewDeleteRepoDefault creates DeleteRepoDefault with default headers values

func (*DeleteRepoDefault) SetPayload added in v0.4.0

func (o *DeleteRepoDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the delete repo default response

func (*DeleteRepoDefault) SetStatusCode added in v0.4.0

func (o *DeleteRepoDefault) SetStatusCode(code int)

SetStatusCode sets the status to the delete repo default response

func (*DeleteRepoDefault) WithPayload added in v0.4.0

func (o *DeleteRepoDefault) WithPayload(payload *models.Error) *DeleteRepoDefault

WithPayload adds the payload to the delete repo default response

func (*DeleteRepoDefault) WithStatusCode added in v0.4.0

func (o *DeleteRepoDefault) WithStatusCode(code int) *DeleteRepoDefault

WithStatusCode adds the status to the delete repo default response

func (*DeleteRepoDefault) WriteResponse added in v0.4.0

func (o *DeleteRepoDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteRepoHandler added in v0.4.0

type DeleteRepoHandler interface {
	Handle(DeleteRepoParams) middleware.Responder
}

DeleteRepoHandler interface for that can handle valid delete repo params

type DeleteRepoHandlerFunc added in v0.4.0

type DeleteRepoHandlerFunc func(DeleteRepoParams) middleware.Responder

DeleteRepoHandlerFunc turns a function with the right signature into a delete repo handler

func (DeleteRepoHandlerFunc) Handle added in v0.4.0

Handle executing the request and returning a response

type DeleteRepoOK added in v0.4.0

type DeleteRepoOK struct {

	// In: body
	Payload *models.ResourceData `json:"body,omitempty"`
}

DeleteRepoOK repo deleted

swagger:response deleteRepoOK

func NewDeleteRepoOK added in v0.4.0

func NewDeleteRepoOK() *DeleteRepoOK

NewDeleteRepoOK creates DeleteRepoOK with default headers values

func (*DeleteRepoOK) SetPayload added in v0.4.0

func (o *DeleteRepoOK) SetPayload(payload *models.ResourceData)

SetPayload sets the payload to the delete repo o k response

func (*DeleteRepoOK) WithPayload added in v0.4.0

func (o *DeleteRepoOK) WithPayload(payload *models.ResourceData) *DeleteRepoOK

WithPayload adds the payload to the delete repo o k response

func (*DeleteRepoOK) WriteResponse added in v0.4.0

func (o *DeleteRepoOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteRepoParams added in v0.4.0

type DeleteRepoParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*
	  Required: true
	  In: path
	*/
	RepoName string
}

DeleteRepoParams contains all the bound params for the delete repo operation typically these are obtained from a http.Request

swagger:parameters deleteRepo

func NewDeleteRepoParams added in v0.4.0

func NewDeleteRepoParams() DeleteRepoParams

NewDeleteRepoParams creates a new DeleteRepoParams object with the default values initialized.

func (*DeleteRepoParams) BindRequest added in v0.4.0

func (o *DeleteRepoParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type GetAllRepos

type GetAllRepos struct {
	Context *middleware.Context
	Handler GetAllReposHandler
}

GetAllRepos swagger:route GET /v1/repos repositories getAllRepos

get all repositories enabled in the backend

func NewGetAllRepos

func NewGetAllRepos(ctx *middleware.Context, handler GetAllReposHandler) *GetAllRepos

NewGetAllRepos creates a new http.Handler for the get all repos operation

func (*GetAllRepos) ServeHTTP

func (o *GetAllRepos) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetAllReposDefault

type GetAllReposDefault struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetAllReposDefault unexpected error

swagger:response getAllReposDefault

func NewGetAllReposDefault

func NewGetAllReposDefault(code int) *GetAllReposDefault

NewGetAllReposDefault creates GetAllReposDefault with default headers values

func (*GetAllReposDefault) SetPayload

func (o *GetAllReposDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get all repos default response

func (*GetAllReposDefault) SetStatusCode

func (o *GetAllReposDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get all repos default response

func (*GetAllReposDefault) WithPayload

func (o *GetAllReposDefault) WithPayload(payload *models.Error) *GetAllReposDefault

WithPayload adds the payload to the get all repos default response

func (*GetAllReposDefault) WithStatusCode

func (o *GetAllReposDefault) WithStatusCode(code int) *GetAllReposDefault

WithStatusCode adds the status to the get all repos default response

func (*GetAllReposDefault) WriteResponse

func (o *GetAllReposDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetAllReposHandler

type GetAllReposHandler interface {
	Handle(GetAllReposParams) middleware.Responder
}

GetAllReposHandler interface for that can handle valid get all repos params

type GetAllReposHandlerFunc

type GetAllReposHandlerFunc func(GetAllReposParams) middleware.Responder

GetAllReposHandlerFunc turns a function with the right signature into a get all repos handler

func (GetAllReposHandlerFunc) Handle

Handle executing the request and returning a response

type GetAllReposOK

type GetAllReposOK struct {

	// In: body
	Payload *models.ResourceArrayData `json:"body,omitempty"`
}

GetAllReposOK repositories response

swagger:response getAllReposOK

func NewGetAllReposOK

func NewGetAllReposOK() *GetAllReposOK

NewGetAllReposOK creates GetAllReposOK with default headers values

func (*GetAllReposOK) SetPayload

func (o *GetAllReposOK) SetPayload(payload *models.ResourceArrayData)

SetPayload sets the payload to the get all repos o k response

func (*GetAllReposOK) WithPayload

func (o *GetAllReposOK) WithPayload(payload *models.ResourceArrayData) *GetAllReposOK

WithPayload adds the payload to the get all repos o k response

func (*GetAllReposOK) WriteResponse

func (o *GetAllReposOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetAllReposParams

type GetAllReposParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request
}

GetAllReposParams contains all the bound params for the get all repos operation typically these are obtained from a http.Request

swagger:parameters getAllRepos

func NewGetAllReposParams

func NewGetAllReposParams() GetAllReposParams

NewGetAllReposParams creates a new GetAllReposParams object with the default values initialized.

func (*GetAllReposParams) BindRequest

func (o *GetAllReposParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type GetRepo added in v0.4.0

type GetRepo struct {
	Context *middleware.Context
	Handler GetRepoHandler
}

GetRepo swagger:route GET /v1/repos/{repoName} repositories getRepo

get a repository enabled in the backend

func NewGetRepo added in v0.4.0

func NewGetRepo(ctx *middleware.Context, handler GetRepoHandler) *GetRepo

NewGetRepo creates a new http.Handler for the get repo operation

func (*GetRepo) ServeHTTP added in v0.4.0

func (o *GetRepo) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetRepoDefault added in v0.4.0

type GetRepoDefault struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetRepoDefault unexpected error

swagger:response getRepoDefault

func NewGetRepoDefault added in v0.4.0

func NewGetRepoDefault(code int) *GetRepoDefault

NewGetRepoDefault creates GetRepoDefault with default headers values

func (*GetRepoDefault) SetPayload added in v0.4.0

func (o *GetRepoDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get repo default response

func (*GetRepoDefault) SetStatusCode added in v0.4.0

func (o *GetRepoDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get repo default response

func (*GetRepoDefault) WithPayload added in v0.4.0

func (o *GetRepoDefault) WithPayload(payload *models.Error) *GetRepoDefault

WithPayload adds the payload to the get repo default response

func (*GetRepoDefault) WithStatusCode added in v0.4.0

func (o *GetRepoDefault) WithStatusCode(code int) *GetRepoDefault

WithStatusCode adds the status to the get repo default response

func (*GetRepoDefault) WriteResponse added in v0.4.0

func (o *GetRepoDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetRepoHandler added in v0.4.0

type GetRepoHandler interface {
	Handle(GetRepoParams) middleware.Responder
}

GetRepoHandler interface for that can handle valid get repo params

type GetRepoHandlerFunc added in v0.4.0

type GetRepoHandlerFunc func(GetRepoParams) middleware.Responder

GetRepoHandlerFunc turns a function with the right signature into a get repo handler

func (GetRepoHandlerFunc) Handle added in v0.4.0

Handle executing the request and returning a response

type GetRepoOK added in v0.4.0

type GetRepoOK struct {

	// In: body
	Payload *models.ResourceData `json:"body,omitempty"`
}

GetRepoOK repo information

swagger:response getRepoOK

func NewGetRepoOK added in v0.4.0

func NewGetRepoOK() *GetRepoOK

NewGetRepoOK creates GetRepoOK with default headers values

func (*GetRepoOK) SetPayload added in v0.4.0

func (o *GetRepoOK) SetPayload(payload *models.ResourceData)

SetPayload sets the payload to the get repo o k response

func (*GetRepoOK) WithPayload added in v0.4.0

func (o *GetRepoOK) WithPayload(payload *models.ResourceData) *GetRepoOK

WithPayload adds the payload to the get repo o k response

func (*GetRepoOK) WriteResponse added in v0.4.0

func (o *GetRepoOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetRepoParams added in v0.4.0

type GetRepoParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*
	  Required: true
	  In: path
	*/
	RepoName string
}

GetRepoParams contains all the bound params for the get repo operation typically these are obtained from a http.Request

swagger:parameters getRepo

func NewGetRepoParams added in v0.4.0

func NewGetRepoParams() GetRepoParams

NewGetRepoParams creates a new GetRepoParams object with the default values initialized.

func (*GetRepoParams) BindRequest added in v0.4.0

func (o *GetRepoParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL